ComposedQuery (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.surround.query.ComposedQuery class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.surround.query
Class ComposedQuery

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SrndQuery
          org.apache.lucene.queryParser.surround.query.ComposedQuery

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  AndQuery, DistanceQuery, NotQuery, OrQuery

    public abstract class ComposedQuery

extends SrndQuery

Field Summary

Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`theEmptyLcnQuery`

Constructor Summary
`ComposedQuery(List qs, boolean operatorInfix, String opName)`

Method Summary
`protected String` | `getBracketClose()`
`protected String` | `getBracketOpen()`
`int` | `getNrSubQueries()`
`String` | `getOperatorName()`
`protected String` | `getPrefixSeparator()`
`Iterator` | `getSubQueriesIterator()`
`SrndQuery` | `getSubQuery(int qn)`
`protected void` | `infixToString(StringBuilder r)`
`boolean` | `isFieldsSubQueryAcceptable()`
`boolean` | `isOperatorInfix()`
`List<Query>` | `makeLuceneSubQueriesField(String fn, BasicQueryFactory qf)`
`protected void` | `prefixToString(StringBuilder r)`
`protected void` | `recompose(List queries)`
`String` | `toString()`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`clone, getWeight, getWeightOperator, getWeightString, isWeighted, makeLuceneQueryField, makeLuceneQueryFieldNoBoost, setWeight, weightToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComposedQuery

    public ComposedQuery(List qs,
                         boolean operatorInfix,
                         String opName)

Method Detail

### recompose

    protected void recompose(List queries)

### getOperatorName

    public String getOperatorName()

### getSubQueriesIterator

    public Iterator getSubQueriesIterator()

### getNrSubQueries

    public int getNrSubQueries()

### getSubQuery

    public SrndQuery getSubQuery(int qn)

### isOperatorInfix

    public boolean isOperatorInfix()

### makeLuceneSubQueriesField

    public List<Query> makeLuceneSubQueriesField(String fn,
                                                 BasicQueryFactory qf)

### toString

    public String toString()

  Specified by:
    `toString` in class `SrndQuery`

### getPrefixSeparator

    protected String getPrefixSeparator()

### getBracketOpen

    protected String getBracketOpen()

### getBracketClose

    protected String getBracketClose()

### infixToString

    protected void infixToString(StringBuilder r)

### prefixToString

    protected void prefixToString(StringBuilder r)

### isFieldsSubQueryAcceptable

    public boolean isFieldsSubQueryAcceptable()

  Overrides:
    `isFieldsSubQueryAcceptable` in class `SrndQuery`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD